<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.huimv.management.dao.BreedParentsDao">

	<!-- 可根据自己的需求，是否要使用 -->
    <resultMap type="com.huimv.management.entity.BreedParentsEntity" id="breedParentsMap">
        <result property="id" column="id"/>
        <result property="eartagNo" column="eartag_no"/>
        <result property="type" column="type"/>
        <result property="gender" column="gender"/>
        <result property="birthDate" column="birth_date"/>
        <result property="blood" column="blood"/>
        <result property="origin" column="origin"/>
        <result property="remark" column="remark"/>
        <result property="batchNp" column="batch_np"/>
        <result property="pigletTotal" column="piglet_total"/>
        <result property="psy" column="psy"/>
        <result property="effective" column="effective"/>
        <result property="field1" column="field_1"/>
        <result property="field2" column="field_2"/>
        <result property="field3" column="field_3"/>
        <result property="field4" column="field_4"/>
        <result property="field5" column="field_5"/>
    </resultMap>


</mapper>